Page MenuHomeVyOS Platform

Brief BFD Peer Info
Closed, ResolvedPublicFEATURE REQUEST

Description

Can we add an operational mode command that gives the output of show bfd peers brief from FRR?

trae@cr01-vyos# vtysh -c 'show bfd peers brief'
Session count: 4
SessionId  LocalAddress                             PeerAddress                             Status         
=========  ============                             ===========                             ======         
2295000037 unknown                                  fd52:d62e:8011:fffe:192:168:253:2       down           
182445923  192.168.253.7                            192.168.253.3                           down           
2786130631 unknown                                  fd52:d62e:8011:fffe:192:168:253:3       down           
2565720125 192.168.253.7                            192.168.253.2                           down           
[edit]

Something like show protocols bfd peers brief would work; though what I'd really like to see is the default command giving brief output similar to how Arista EOS does. then a detail or similar command for more info:

ir01(config)#show bfd neighbors 
VRF name: default
-----------------
DstAddr                     MyDisc         YourDisc       Interface           Type               LastUp             LastDown            LastDiag    State 
-------------------- ---------------- ---------------- --------------- -------------- -------------------- -------------------- ------------------- ----- 
192.168.253.2           3602062625       2216061295              NA       multihop       10/06/20 00:54       10/06/20 00:32       No Diagnostic       Up 
192.168.253.3           1489834995        475342656              NA       multihop       10/06/20 00:20       10/05/20 23:58       No Diagnostic       Up 
192.168.253.4           4201645306       1976434194              NA       multihop       09/18/20 03:26       09/18/20 03:23       No Diagnostic       Up 
192.168.253.5           2435395809       3968256645              NA       multihop       10/01/20 01:29       10/01/20 01:11       No Diagnostic       Up 
192.168.253.10          3310154775       1776121542              NA       multihop       10/01/20 02:04       10/01/20 02:04       No Diagnostic       Up 
192.168.253.13          1840594059       2416694586              NA       multihop       09/18/20 03:22       09/18/20 03:22       No Diagnostic       Up 

DstAddr                                         MyDisc         YourDisc       Interface           Type               LastUp             LastDown            LastDiag    State 
---------------------------------------- ---------------- ---------------- --------------- -------------- -------------------- -------------------- ------------------- ----- 
fd52:d62e:8011:fffe:192:168:253:2           3545106482       3852018239              NA       multihop       10/06/20 00:54       10/06/20 00:32       No Diagnostic       Up 
fd52:d62e:8011:fffe:192:168:253:3           3207482251       1109363228              NA       multihop       10/06/20 00:20       10/05/20 23:58       No Diagnostic       Up 
fd52:d62e:8011:fffe:192:168:253:4           1289971420         68251145              NA       multihop       09/18/20 03:26       09/18/20 03:23       No Diagnostic       Up 
fd52:d62e:8011:fffe:192:168:253:5           4224950599       3680817965              NA       multihop       09/18/20 03:22       09/18/20 03:21       No Diagnostic       Up 
fd52:d62e:8011:fffe:192:168:253:10           701898141       2697392028              NA       multihop       10/01/20 02:04       10/01/20 02:04       No Diagnostic       Up 
fd52:d62e:8011:fffe:192:168:253:13          4055186668       4003269437              NA       multihop       10/01/20 02:03       10/01/20 02:03       No Diagnostic       Up 
ir01(config)#show bfd neighbors ?
  dest-ip    BFD neighbor IP address
  detail     Detailed neighbor information
  history    Neighbor transition history 
  interface  interface keyword
  src-ip     BFD source IP address
  vrf        Show bfd information of VRF
  >          Redirect output to URL
  >>         Append redirected output to URL
  |          Output modifiers

Details

Difficulty level
Easy (less than an hour)
Version
1.3-rolling-202010051738
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

trae32566 created this task.Tue, Oct 6, 7:37 AM
trae32566 edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
trae32566 changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
trae32566 changed Version from - to 1.3-rolling-202010051738.
trae32566 changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
trae32566 updated the task description. (Show Details)Tue, Oct 6, 7:46 AM
pasik added a subscriber: pasik.Tue, Oct 6, 7:19 PM

Proposed cli
One of them

show protocols bfd peers
show protocols bfd summary
trae32566 added a comment.EditedFri, Oct 16, 7:23 AM

That sounds great to me! I actually like that more.

PR https://github.com/vyos/vyos-1x/pull/572

vyos@r4-roll:~$ show protocols bfd peers 
Session count: 1
SessionId  LocalAddress                             PeerAddress                             Status         
=========  ============                             ===========                             ======         
517132321  100.64.0.1                               100.64.0.2                              up             
vyos@r4-roll:~$

@trae32566 Will be added in the next rolling release.
Check, please.

Works for me!

trae@cr01b-vyos:~$ show protocols bfd peers
Session count: 11
SessionId  LocalAddress                             PeerAddress                             Status         
=========  ============                             ===========                             ======         
3776760774 192.168.253.3                            192.168.253.7                           up             
1851352402 fd52:d62e:8011:fffe:192:168:253:3        fd52:d62e:8011:fffe:192:168:253:6       up             
3344115206 192.168.253.3                            192.168.253.2                           down           
1252680903 fd52:d62e:8011:fffe:192:168:253:3        fd52:d62e:8011:fffe:192:168:253:2       down           
3664188082 192.168.253.3                            192.168.253.6                           up             
2809207409 fd52:d62e:8011:fffe:192:168:253:3        fd52:d62e:8011:fffe:192:168:253:1       up             
2086113021 192.168.253.3                            192.168.253.12                          up             
1362288442 unknown                                  fd52:d62e:8011:fffe:192:168:253:12      down           
3846665654 fd52:d62e:8011:fffe:192:168:253:3        fd52:d62e:8011:fffe:192:168:253:7       up             
276439511  fd52:d62e:8011:fffe:192:168:253:3        fd52:d62e:8011:fffe:192:168:253:12      down           
1342044518 192.168.253.3                            192.168.253.1                           up
trae32566 closed this task as Resolved.Sun, Oct 18, 9:45 PM